Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.jsp.wb
Class PoolAdministrator

    java.lang.Object
      |
      +--oracle.jdeveloper.html.WebBeanImpl
            |
            +--oracle.jdeveloper.jsp.wb.PoolAdministrator

public class PoolAdministrator
extends WebBeanImpl

This WebBean provides information regarding the current contents of the application module pool. You can use it in order to peek at the contents of the application pool. Pool administrator is the central bean to run the pool admin. Later the user should design one class for every link on the first page. Pool admin was build to view the state of the web application at any point of time. Users find this feature very helpful to know a lot of interesting statistics about a BC4J based web app module like : POOL INFO : Information about app module pool (showPoolInfo(..)) that reports the list of used and un used app module instances in the pool manager. Information about the number of pools available etc. An user can select an app module and select on individual VOs, VLs to see more information about each of these BC4J objects SESSION INFO : Http session info for the web client (showSessionInfo(..)) BC4J RUNTIME : A list of BC4J runtime params (showbc4jrtdetails(...)) JAVA RUNTIME : LIst of java runtime parameters (showjavartdetails(...)) PENDING ISSUES with pool admin Improve the look and feel for Pool admin (Add more JS Tree controls to display data (Look into JSTreeData in HTML web beans) The main page should be spilt into two frames, the left frame should show the URL's and the right frame all the data selected with that URL. Look into the application "remotelyanywhere" to get a feel on how the final look and feel should be. Need to make it more robust with exception handling Known Bugs : Pool admin not showing HTTP session for Apache (API missing) Detailed classpath missing for apache (Deb) : need to report all root app modules (for multiple root app module case) (Deb) Pull all diagnostic to a message window to show users the BC4J diag. Try to tag diagnostic with app module name so that it can be spilt (Talk to karl about this issue, this is a part of the bigger bug that the Diagnostic.println is a singleton and does not distinguish between different users) A closed http session is not checking in the app module once it times out (Deb) Change the gif attached with the URL and the name of beginning page (welcome.jsp) CUSTOMERS : Deb Priya Bhattacharjee (650 506 0372) Vasu Manepally (650 506 5635) Future direction : This app should come out as a full fledged feature in BC4J framework. This product is not meant to collect statistics but meant for users who can figure out what is going wrong in the web app. Keep away from any requirements that should show memory usage with any BC4J object. All data reported by this app should be generic. HOW TO USE THIS : Create a JSP app and you will see a new URL pointing to welcome.jsp. welcome.jsp later takes the user to different jsp pages. For any BC4J web based app running the user can use this feature by running the welcome.jsp in J:/myhtml/webapp/jsp on a different browser. Later we need to add this feature as a Web object in the web Object Manager. Author : Krish , Juan

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, ctx, out, page, request, response, session`

Constructor Summary
`PoolAdministrator()` Constructor

Method Summary
`void` | `render()` Renders Application Pool information to JSP page.
`void` | `reportAppModuleContents()` Reports App Module information in an HTML format.
`void` | `reportNewContents(HTMLDocument doc, ApplicationPool pool)` Reports pool information in an HTML format.
`void` | `reportPoolContents(HTMLDocument doc, ApplicationPool pool)` Reports pool information in an HTML format.
`void` | `showbc4jrtdetails()` Show BC4J run time details
`void` | `showJavaRTParameters()` Reports Java Run time parameters
`void` | `showPoolInfo()` Show all Pool Admin Info
`void` | `showSessionInfo()` Show all session info
`void` | `showVOContents()` Reports VO information in HTML format

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRenderingContext, getRequest, getRequestVariable, getUniqueName, initBeanForJS, initialize, initialize, initialize, internalInitialize, render, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoolAdministrator

    public PoolAdministrator()

  Constructor

Method Detail

### reportPoolContents

    public void reportPoolContents(HTMLDocument doc,
                                   ApplicationPool pool)

  Reports pool information in an HTML format.

### reportNewContents

    public void reportNewContents(HTMLDocument doc,
                                  ApplicationPool pool)

  Reports pool information in an HTML format.

### reportAppModuleContents

    public void reportAppModuleContents()

  Reports App Module information in an HTML format.

### showSessionInfo

    public void showSessionInfo()

  Show all session info

### showPoolInfo

    public void showPoolInfo()

  Show all Pool Admin Info

### showVOContents

    public void showVOContents()

  Reports VO information in HTML format

### showbc4jrtdetails

    public void showbc4jrtdetails()

  Show BC4J run time details

### showJavaRTParameters

    public void showJavaRTParameters()

  Reports Java Run time parameters

### render

    public void render()

  Renders Application Pool information to JSP page.
  Overrides:
    render in class WebBeanImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD